### Enumeration

# Snapd AliasStatus

since: 1.8

#### Declaration

    enum Snapd.AliasStatus

#### Description [src]

Status of an alias.

Available since: 1.8

#### Members

`SNAPD_ALIAS_STATUS_UNKNOWN`

  The alias status is unknown.

  - Value: `0`
  - Available since: 1.8
`SNAPD_ALIAS_STATUS_DEFAULT`

  Deprecated, do not use.

  - Value: `1`
  - Available since: 1.8
`SNAPD_ALIAS_STATUS_ENABLED`

  Deprecated, do not use.

  - Value: `2`
  - Available since: 1.8
`SNAPD_ALIAS_STATUS_DISABLED`

  The alias is disabled.

  - Value: `3`
  - Available since: 1.8
`SNAPD_ALIAS_STATUS_AUTO`

  The alias is automatically enabled.

  - Value: `4`
  - Available since: 1.8
`SNAPD_ALIAS_STATUS_MANUAL`

  The alias is manually enabled.

  - Value: `5`
  - Available since: 1.8